Bug 21418 - showstopper with current cvs package
showstopper with current cvs package
Product: Red Hat Linux
Classification: Retired
Component: cvs (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-11-28 06:21 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-29 12:55:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-28 06:21:51 EST
with the current cvs rpm installed - cvs-1.10-8.i386.rpm - and set to run
from xinetd as a pserver, I can connect, login and import modules into the
repository. The server returns a warning - cvs server: cannot open
/root/.cvsignore: Permission denied - with every option. This is hardcoded,
as the server is set to run with the script "unset HOME \n  exec
/usr/bin/cvs -f -b /usr/bin --allow-root=/var/cvs pserver". However, when
the command "cvs -d:pserver:<user>@<host>:/data/volume1/cvsdata co junk" is
run, the server returns the error:
cvs server: cannot open /root/.cvsignore: Permission denied
cvs checkout: in directory junk:
cvs checkout: cannot open CVS/Entries for reading: No such file or
cvs [server aborted]: can't chdir(/root): Permission denied

however, the debian server we also have running in a different office has
the same version of cvs on, with the same setup, so I can only assume it's
a problem with the rpm. Aliening the debian package and using that on the
RedHat box has fixed the problem, for the time being.
Comment 1 Gregory Leblanc 2001-01-11 00:10:51 EST
I've been working with the GNOME project, and discovered a few specific symptoms with one of our anoncvs mirrors.  When I do a 'cvs update' and happen to hit that server, I don't get the above error.  If I specify that server explicitly, either by IP address, or by hostname, I get that error consistently.  Here are the CVSROOTs that I'm using
:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome   (no error)
:pserver:anonymous@anoncvs4.gnome.org:/cvs/gnome  (error)
:pserver:anonymous@        (error)

the password for those is either blank or CVS, I can't remember.  If you need somebody local to bug, I recomend jrb.  :)
Comment 2 John Gotts 2001-02-14 23:11:38 EST
This problem also existed in Red Hat 6.2 and a fix was posted.  See the WONTFIX
cvs patches for Red Hat 6.2

Note You need to log in before you can comment on or make changes to this bug.